Public Class usrCntlDienstWoche
    Public SCHICHT As cDienstplanSchicht
    Public SETTINGS As cDienstSettings
    Public schicht_name = ""
    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Sub New(SCHICHT, SETTINGS)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.SCHICHT = SCHICHT
        Me.SETTINGS = SETTINGS
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Public Sub initAnzahl()
        lblAnz_Mo.Text = dgv_Mo.RowCount
        lblAnz_Di.Text = dgv_Di.RowCount
        lblAnz_Mi.Text = dgv_Mi.RowCount
        lblAnz_Do.Text = dgv_Do.RowCount
        lblAnz_Fr.Text = dgv_Fr.RowCount
        lblAnz_Sa.Text = dgv_Sa.RowCount
        lblAnz_So.Text = dgv_So.RowCount
    End Sub


    Private Sub usrCntlDienstWoche_Load(sender As Object, e As EventArgs) Handles Me.Load
        For Each z In SCHICHT.ZEITEN
            If z.dsz_woTag = "MO" Then dgv_Mo.Visible = True : lblAnz_Mo.Visible = True
            If z.dsz_woTag = "DI" Then dgv_Di.Visible = True : lblAnz_Di.Visible = True
            If z.dsz_woTag = "MI" Then dgv_Mi.Visible = True : lblAnz_Mi.Visible = True
            If z.dsz_woTag = "DO" Then dgv_Do.Visible = True : lblAnz_Do.Visible = True
            If z.dsz_woTag = "FR" Then dgv_Fr.Visible = True : lblAnz_Fr.Visible = True
            If z.dsz_woTag = "SA" Then dgv_Sa.Visible = True : lblAnz_Sa.Visible = True
            If z.dsz_woTag = "SO" Then dgv_So.Visible = True : lblAnz_So.Visible = True
        Next


        lblBezeichnung.Text = ""
        lblBezeichnung.Text &= SCHICHT.dedet_bezeichnungExcel & vbNewLine
        lblBezeichnung.Text &= SCHICHT.dedet_bezeichnungExcel2 & vbNewLine
        lblBezeichnung.Text &= SCHICHT.dedet_bezeichnungExcel3

        '  For Each b In BEN_SCHICHTEN
        ' Next

        dgv_Mo.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
        dgv_Di.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
        dgv_Mi.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
        dgv_Do.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
        dgv_Fr.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
        dgv_Sa.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
        dgv_So.RowTemplate.Height = SETTINGS.dpset_dgvRowHeight
    End Sub

    Private Sub usrCntlDienstWoche_Paint(sender As Object, e As PaintEventArgs) Handles Me.Paint

    End Sub
End Class
